spiff-arena/docs/bin/edit_all
Kevin Burnett 963d62b323
Proof and ventilate all docs (#1822)
* let us proof everything

* proof and ventilate everything

* restore removed content

* add back in some headers

* add back more headers

* restore header

* fix header

* fix backend

* restore two long files from main to avoid mangling

* update edit_all for testing

* fix docs

* notes

* more spacing

---------

Co-authored-by: burnettk <burnettk@users.noreply.github.com>
2024-06-26 02:55:03 +00:00

27 lines
799 B
Bash
Executable File

#!/usr/bin/env bash
function error_handler() {
>&2 echo "Exited with BAD EXIT CODE '${2}' in ${0} script at line: ${1}."
exit "$2"
}
trap 'error_handler ${LINENO} $?' ERR
set -o errtrace -o errexit -o nounset -o pipefail
# function to update single file
function update_file() {
markdown_to_ventilated_prose.py "$1" "$1"
./bin/edit "$1"
markdown_to_ventilated_prose.py "$1" "$1"
}
# while IFS= read -r -d '' file; do
# update_file "$file"
# done < <(find . -type f -name "*.md" -print0)
echo 'fyi, running test files, not all files'
# these are long, problematic files, good for testing.
# not sure why documentation.md likes to get lots of extra newlines added.
for file in Getting_Started/quick_start.md Support/FAQ.md documentation/documentation.md; do
update_file "$file"
done